Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfErrorCategoryType

    java.lang.Object
      java.lang.Enum<OdfErrorCategoryType>
          org.odftoolkit.odfdom.dom.type.chart.OdfErrorCategoryType

All Implemented Interfaces:
  Serializable, Comparable<OdfErrorCategoryType>

    public enum OdfErrorCategoryType

extends Enum<OdfErrorCategoryType>

DOM implementation of OpenDocument attribute chart:error-category.

Enum Constant Summary
`CELL_RANGE`
`CONSTANT`
`ERROR_MARGIN`
`NONE`
`PERCENTAGE`
`STANDARD_DEVIATION`
`STANDARD_ERROR`
`VARIANCE`

Method Summary
`static OdfErrorCategoryType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfErrorCategoryType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfErrorCategoryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfErrorCategoryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STANDARD_ERROR

    public static final OdfErrorCategoryType STANDARD_ERROR

### ERROR_MARGIN

    public static final OdfErrorCategoryType ERROR_MARGIN

### STANDARD_DEVIATION

    public static final OdfErrorCategoryType STANDARD_DEVIATION

### VARIANCE

    public static final OdfErrorCategoryType VARIANCE

### NONE

    public static final OdfErrorCategoryType NONE

### CELL_RANGE

    public static final OdfErrorCategoryType CELL_RANGE

### PERCENTAGE

    public static final OdfErrorCategoryType PERCENTAGE

### CONSTANT

    public static final OdfErrorCategoryType CONSTANT

Method Detail

### values

    public static OdfErrorCategoryType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfErrorCategoryType c : OdfErrorCategoryType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfErrorCategoryType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfErrorCategoryType>`
  Returns:
    return the name of OdfErrorCategoryType

### toString

    public static String toString(OdfErrorCategoryType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfErrorCategoryType, see chart:error-category
  Returns:
    return the name of OdfErrorCategoryType

### enumValueOf

    public static OdfErrorCategoryType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfErrorCategoryType
  Returns:
    return the constant of OdfErrorCategoryType, see chart:error-category

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.